<?php

namespace Database\Seeders;

use App\Models\Rule;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class RuleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        [
            Rule::create([
                'indicator_id' => 1,
                'range_min' => 5.5,
                'range_max' => 6.0,
                'mb' => 0.8,
                'md' => 0.2
            ]),
            Rule::create([
                'indicator_id' => 1,
                'range_min' => 6.0,
                'range_max' => 7.0,
                'mb' => 1.0,
                'md' => 0.0
            ]),
            Rule::create([
                'indicator_id' => 2,
                'range_min' => 0,
                'range_max' => 500,
                'mb' => 0.9,
                'md' => 0.1
            ]),
            Rule::create([
                'indicator_id' => 2,
                'range_min' => 500,
                'range_max' => 1000,
                'mb' => 0.8,
                'md' => 0.2
            ]),
            Rule::create([
                'indicator_id' => 3,
                'range_min' => 70,
                'range_max' => 85,
                'mb' => 0.7,
                'md' => 0.3
            ]),
            Rule::create([
                'indicator_id' => 3,
                'range_min' => 85,
                'range_max' => 100,
                'mb' => 1.0,
                'md' => 0.0
            ]),
            Rule::create([
                'indicator_id' => 4,
                'range_min' => 1000,
                'range_max' => 1500,
                'mb' => 0.9,
                'md' => 0.1
            ]),
            Rule::create([
                'indicator_id' => 4,
                'range_min' => 1500,
                'range_max' => 2000,
                'mb' => 1.0,
                'md' => 0.0
            ]),
        ];
    }
}
